de.dhbwstuttgart.typeinference.unify

## Class MUB

- java.lang.Object
- - de.dhbwstuttgart.typeinference.unify.MUB

-     public class MUB
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Menge<? extends Type>` | `Mub`
    `(package private) Menge<Pair>` | `sigma`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MUB(Menge<? extends Type> M, Menge<Pair> s)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Menge<? extends Type>` | `getMub()`
    `Menge<Pair>` | `getUnifier()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Mub

          Menge<? extends Type> Mub

    - #### sigma

          Menge<Pair> sigma

  - ### Constructor Detail

    - #### MUB

          MUB(Menge<? extends Type> M,
              Menge<Pair> s)

  - ### Method Detail

    - #### getUnifier

          public Menge<Pair> getUnifier()

    - #### getMub

          public Menge<? extends Type> getMub()